Bug 960187 - Tycho should include system local p2 repo for eclipserun-plugin
Summary: Tycho should include system local p2 repo for eclipserun-plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tycho-extras
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 16:19 UTC by Roland Grunberg
Modified: 2013-05-24 20:19 UTC (History)
2 users (show)

Fixed In Version: tycho-extras-0.17.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-24 20:19:10 UTC


Attachments (Terms of Use)

Description Roland Grunberg 2013-05-06 16:19:51 UTC
Looking at http://wiki.eclipse.org/Tycho/Release_Notes/0.17 (https://bugs.eclipse.org/bugs/show_bug.cgi?id=395281) we should automatically include the local system p2 repository for dependency resolution in local mode.

Comment 1 Roland Grunberg 2013-05-06 16:35:31 UTC
As a workaround, builds would currently have to add the system local p2 repository to their tycho-eclipserun-plugin configuration.

Eg.

LOCALREPO="file://`pwd`/.m2/p2/repo"
find eclipse.platform.common/bundles -name pom.xml -exec sed -i -e "s@http://download.eclipse.org/eclipse/updates/4.2@${LOCALREPO}@g" {} \;

assuming that some remote repository is already specified.

Comment 2 Roland Grunberg 2013-05-07 21:36:40 UTC
I've pushed a fix as tycho-extras-0.17.0-2 for rawhide. If this resolves your issue, I can push too f19 as well.

To test, simply remove the 'sed' line in your specfile that replaces the upstream repo, with the system's local repo, and rebuild.

Comment 3 Orion Poplawski 2013-05-07 22:05:31 UTC
That does appear to fix the issue, thanks.

Comment 4 Fedora Update System 2013-05-08 18:22:44 UTC
tycho-extras-0.17.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tycho-extras-0.17.0-2.fc19

Comment 5 Fedora Update System 2013-05-09 17:56:15 UTC
Package tycho-extras-0.17.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tycho-extras-0.17.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7757/tycho-extras-0.17.0-2.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-05-24 20:19:10 UTC
tycho-extras-0.17.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.